path: /build/build/nvidia-550-kernel-modules-kernel-5.10-550.107.02.package.tar.zst
dependencies: []
compilespec:
  steps:
  - eval 'mkdir -p /etc/portage/patches/x11-drivers/nvidia-kernel-modules/ || true'
    && sed -i -e 's|versionator||g' /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - anise repo disable mottainai-stable && anise i mottainai-dev
  - rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild -vf
    && rm /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    -vf && anise repo update && anise upgrade -y && anise i -y x11-drivers-550/nvidia-drivers
    && anise cleanup && emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.107.02
    -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-550.107.02
  - |
    eval 'rm -rf /nvidia-550-kernel-modules || true' && mkdir /nvidia-550-kernel-modules && \
    luet-portage --dir /nvidia-550-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-550-kernel-modules/lib/modules/nvidia/550.107.02/5.10.223-macaroni/video/*.ko
    ; do xz -z ${i} ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:1b8592c0d43083af69dd32bc638efce6f9f3eacafdf5efc82add843a55418043
  package:
    name: nvidia-550-kernel-modules
    version: 550.107.02
    category: kernel-5.10
    requires:
    - name: kernel
      version: '>=0'
      category: seed-5.10
    provides:
    - name: nvidia-kernel-modules
      version: 555.58.02
      category: kernel-5.10
    annotations:
      kernel_module: true
    buildtimestamp: 2024-08-28 15:02:10.594093477 +0000 UTC m=+658.254632723
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 5.10.223
      original.package.slot: "550"
      original.package.version: 550.107.02
    treedir: /build/packages
  package_dir: /nvidia-550-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 7c6a07641a8a78f9fba52907c00cd31dff7fc76608f7879fd1c5f20823b22286
compressiontype: zstd
files:
- lib/modules/nvidia/550.107.02/5.10.223-macaroni/video/nvidia-drm.ko.xz
- lib/modules/nvidia/550.107.02/5.10.223-macaroni/video/nvidia-modeset.ko.xz
- lib/modules/nvidia/550.107.02/5.10.223-macaroni/video/nvidia-uvm.ko.xz
- lib/modules/nvidia/550.107.02/5.10.223-macaroni/video/nvidia.ko.xz
package_cacheimage: ""
runtime:
  name: nvidia-550-kernel-modules
  version: 550.107.02
  category: kernel-5.10
  requires:
  - name: gpu-configurator
    version: '>=0'
    category: app-admin
  provides:
  - name: nvidia-kernel-modules
    version: 555.58.02
    category: kernel-5.10
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 5.10.223
    original.package.slot: "550"
    original.package.version: 550.107.02
